This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 836697 - [abrt] gedit-3.2.6-1.fc16: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.2.6-1.fc16: Process /usr/bin/gedit was killed by signal 11 (SI...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:3a7a6cec15bc8ba92e4e7ebb61f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-29 22:45 EDT by joplju
Modified: 2013-02-13 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 17:11:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: build_ids (4.12 KB, text/plain)
2012-06-29 22:45 EDT, joplju
no flags Details
File: dso_list (12.04 KB, text/plain)
2012-06-29 22:45 EDT, joplju
no flags Details
File: maps (51.73 KB, text/plain)
2012-06-29 22:45 EDT, joplju
no flags Details
File: backtrace (24.03 KB, text/plain)
2012-06-29 22:45 EDT, joplju
no flags Details

  None (edit)
Description joplju 2012-06-29 22:45:46 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        gedit
comment:        Under Edit -> Preferences -> Plugins, I selected "Draw Spaces" (with the gedit-plugins package) installed. When I clicked, "Preferences," gedit crashed with this error.
crash_function: g_settings_backend_unsubscribe
executable:     /usr/bin/gedit
kernel:         3.4.2-1.fc16.x86_64
pid:            1954
pwd:            /home/justin
time:           Fri 29 Jun 2012 09:40:46 PM CDT
uid:            1001
username:       justin

backtrace:      Text file, 24609 bytes
build_ids:      Text file, 4223 bytes
dso_list:       Text file, 12327 bytes
maps:           Text file, 52967 bytes

environ:
:RIP_ROOT=/home/justin/projects/wrf/RIP4
:XDG_VTNR=1
:XDG_SESSION_ID=2
:WRF_DIR=/home/justin/projects/wrf
:HOSTNAME=jjoplin-fedora
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=0ef4305bef095d91b4cb94830000000e-1340981999.466196-328645923
:JASPERINC=/usr/include/
:'J=-j 2'
:NCARG_FONTCAPS=/usr/lib64/ncarg/fontcaps
:GNOME_KEYRING_CONTROL=/tmp/keyring-jAFZYA
:NETCDFPATH=/usr/local
:WRF_NMM_NEST=1
:IMSETTINGS_MODULE=none
:USER=justin
:LD_LIBRARY_PATH=/usr/lib/jvm/java/jre/lib/amd64
:WRFIO_NCD_LARGE_FILE_SUPPORT=1
:WRF_NMM_CORE=1
:MPI_LIB=/usr/lib64/mpich2/lib
:USERNAME=justin
:NCARG_GRAPHCAPS=/usr/lib64/ncarg/graphcaps
:MAIL=/var/spool/mail/justin
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin/usr/lib64:/usr/lib64/mpich2/bin:/home/justin/projects/wrf/RIP4:/home/justin/projects/ncl::/home/justin/.local/bin:/home/justin/bin
:DESKTOP_SESSION=gnome
:OPENJPEG_DIR=/usr/lib64
:MPI_NAME=mpich2
:ZLIB_DIR=/usr/lib64
:QT_IM_MODULE=xim
:JASPERLIB=/usr/lib64
:MPI_INC=/usr/include/mpich2-x86_64
:PWD=/home/justin
:WRF_ROOT=/home/justin/projects/wrf
:NCARG_ROOT=/usr/lib64/ncarg
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1528
:LANG=en_US.utf8
:PYTHONSTARTUP=/home/justin/.pythonrc
:PNG_DIR=/usr/lib64
:NCARG_DATABASE=/usr/lib64/ncarg/database
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:GDM_LANG=en_US.utf8
:LOADEDMODULES=
:'PS1=[\\u@\\h \\W]$ '
:GDMSESSION=gnome
:NCARG_LIB=/usr/lib64/ncarg
:HISTCONTROL=ignoredups
:NCARG_NCARG=/usr/share/ncarg
:HOME=/home/justin
:XDG_SEAT=seat0
:SHLVL=1
:NETCDF=/usr/local
:LOGNAME=justin
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-fR2D1qIdjp,guid=9ef84281e806ae69e4cd52e800000066
:MODULESHOME=/usr/share/Modules
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/justin
:DISPLAY=:0
:GRIBAPI_DIR=/usr/lib64
:XAUTHORITY=/var/run/gdm/auth-for-justin-arRToE/database
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1534,unix/unix:/tmp/.ICE-unix/1534
:GPG_AGENT_INFO=/tmp/keyring-jAFZYA/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-jAFZYA/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1759-jjoplin-fedora-gedit-0_TIME25825157
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gedit.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1954

var_log_messages:
:Jun 29 20:36:53 jjoplin-fedora yum[16807]: Installed: gedit-plugins-3.2.1-1.fc16.x86_64
:Jun 29 21:40:46 jjoplin-fedora kernel: [42148.942075] gedit[1954]: segfault at 0 ip 0000003f02299c80 sp 00007fff134e5d98 error 4 in libgio-2.0.so.0.3000.3[3f02200000+139000]
:Jun 29 21:40:47 jjoplin-fedora abrt[31218]: Saved core dump of pid 1954 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2012-06-29-21:40:46-1954 (93630464 bytes)

xsession_errors:
:(gedit:1954): GLib-GIO-CRITICAL **: Settings schema 'org.gnome.gedit.plugins.drawspaces' is not installed
:(gedit:1954): GLib-GIO-CRITICAL **: g_settings_get_key_info: assertion `settings->priv->schema != NULL' failed
:(gedit:1954): GLib-CRITICAL **: g_variant_get_type: assertion `value != NULL' failed
:(gedit:1954): GLib-CRITICAL **: g_variant_type_is_subtype_of: assertion `g_variant_type_check (type)' failed
:(gedit:1954): GLib-CRITICAL **: g_variant_get_boolean: assertion `g_variant_is_of_type (value, G_VARIANT_TYPE_BOOLEAN)' failed
:(gedit:1954): GLib-CRITICAL **: g_variant_unref: assertion `value != NULL' failed
:(gedit:1954): GLib-GIO-CRITICAL **: g_settings_get_key_info: assertion `settings->priv->schema != NULL' failed
:(gedit:1954): GLib-GIO-CRITICAL **: Settings schema 'org.gnome.gedit.plugins.drawspaces' is not installed
:(gedit:1954): GLib-GIO-CRITICAL **: Settings schema 'org.gnome.gedit.plugins.drawspaces' is not installed
:(gedit:1954): GLib-GIO-CRITICAL **: g_settings_get_key_info: assertion `settings->priv->schema != NULL' failed
Comment 1 joplju 2012-06-29 22:45:50 EDT
Created attachment 595400 [details]
File: build_ids
Comment 2 joplju 2012-06-29 22:45:51 EDT
Created attachment 595401 [details]
File: dso_list
Comment 3 joplju 2012-06-29 22:45:52 EDT
Created attachment 595402 [details]
File: maps
Comment 4 joplju 2012-06-29 22:45:54 EDT
Created attachment 595403 [details]
File: backtrace
Comment 5 Fedora End Of Life 2013-01-16 12:28:47 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 17:11:56 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.